"use client";
import { labelEnd as o } from "./label-end.js";
const b = {
  name: "labelStartLink",
  resolveAll: o.resolveAll,
  tokenize: u
};
function u(n, e, r) {
  const l = this;
  return a;
  function a(t) {
    return n.enter("labelLink"), n.enter("labelMarker"), n.consume(t), n.exit("labelMarker"), n.exit("labelLink"), i;
  }
  function i(t) {
    return t === 94 && "_hiddenFootnoteSupport" in l.parser.constructs ? r(t) : e(t);
  }
}
export {
  b as labelStartLink
};
